// -------------  
//     LINKS
// -------------  

// ------------------
// NAVIGATION LINKS
// ------------------
a.link {
    display: inline-block;
    font-size: 0.6rem;
    font-weight: 600;
    padding: 0.5rem 1rem;
    color: $color-grey-dark-3;
    text-decoration: none;
    cursor: pointer;
    text-transform: uppercase;
    background-image: linear-gradient(
      120deg,
      transparent 0%,
      transparent 50%,
      $color-primary 50%
    );
    background-size: 300%;
    transition: all 0.4s;

    // move to navigation__info
    span {
      margin-right: 1.5rem;
      display: inline-block;
    }


    &:hover {
        background-position: 100%;
        color: $color-grey-light-1;
    }

    &.animation {
        &:hover {
        transform: translateX(1rem);
        }
    }

    &-active {
        color: $color-primary !important;
        background-image: linear-gradient(
        120deg,
        transparent 0%,
        transparent 50%,
        $color-white 50%
        ) !important;
    }
}


// -------------
// LOGOUT BUTON
// -------------
a.link-soft {
  font-size: 0.8rem;
  font-weight: 300;
  text-transform: uppercase;

  &-logout {
    cursor: pointer;
  }

    &:link,
    &:visited {
      cursor: pointer;
      padding: 0.5rem 1rem;
      text-decoration: none;
      color: $color-grey-dark-3;
      
    }
    

    &:hover {
      color: $color-primary;
      background-color: $color-white;
    }
  }

// -------------
// CGU BUTON
// -------------
// .cgu-link, .contact-link {

//   &__link,
//   &:link,
//   &:visited {
//     cursor: pointer;
//     font-size: 0.8rem;
//     // font-weight: 300;
//     // padding: 0.5rem 1rem;
//     color: $color-grey-dark-3;
//     text-decoration: none;
//     text-transform: uppercase;
//   }

//   &:hover {
//     color: $color-primary;
//     background-color: $color-white;
//   }
// }


//  ----------------------
//        CARD LINKS
//  ----------------------
.card {
    a.button {
        background-color: $color-primary;
        font-size: 0.6rem;
    
        &,
        &:link,
        &:visited {
          text-transform: uppercase;
          border-radius: 2rem;
          transition: all 0.2s;
          border: none;
        }
    
        &:hover {
          transform: translateY(-3px);
          box-shadow: 0 0.5rem 2rem rgba($color-black, 0.2);
        }
    
        &:active,
        &:focus {
          outline: none;
          transform: translateY(-1px);
          box-shadow: 0 0.25rem 1rem rgba($color-black, 0.2);
        }
    
        @include respond(xmd) {
          font-size: 0.6rem;
        }

        @include respond(min-lg) {
          font-size: .8rem;
        } 
    
        &-outline {
          border: 1px solid !important;
          color: $color-primary;
          border-color: $color-primary !important;
          background-color: $color-white;

          &,
          &:link,
          &:visited {
            text-transform: uppercase;
            border-radius: 2rem;
            transition: all 0.2s;
          }
    
          &:hover {
            color: $color-white;
            background-color: $color-primary;
            border-color: $color-primary;
            transform: translateY(-3px);
            box-shadow: 0 0.5rem 2rem rgba($color-black, 0.2);
          }
      
          &:active,
          &:focus {
            background-color: $color-primary !important;
            border-color: $color-primary !important;
            outline: none;
            transform: translateY(-1px);
            box-shadow: 0 0.25rem 1rem rgba($color-black, 0.2);
          }
          
          @include respond(xmd) {
            font-size: 0.8rem;
          }
          
          @include respond(min-md) {
            font-size: .5rem;
          }

          @include respond(xl) {
            font-size: .8rem;
          }
        }
    }
}